
From: NeilBrown <neilb@cse.unsw.edu.au>

An OPEN from the same client/open stateowner requires a stateid update because
of the share/deny access update.

Signed-off-by: Andy Adamson <andros@citi.umich.edu>
Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/nfsd/nfs4state.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/nfsd/nfs4state.c~nfsd4-always-update-stateid-on-open fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-always-update-stateid-on-open	Wed Jul  6 13:09:05 2005
+++ 25-akpm/fs/nfsd/nfs4state.c	Wed Jul  6 13:09:05 2005
@@ -1820,6 +1820,7 @@ nfsd4_process_open2(struct svc_rqst *rqs
 		status = nfs4_upgrade_open(rqstp, current_fh, stp, open);
 		if (status)
 			goto out;
+		update_stateid(&stp->st_stateid);
 	} else {
 		/* Stateid was not found, this is a new OPEN */
 		int flags = 0;
_
